Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.enterprise.ee.cms.core
Enum GMSConstants.shutdownState

    java.lang.Object
      java.lang.Enum<GMSConstants.shutdownState>
          com.sun.enterprise.ee.cms.core.GMSConstants.shutdownState

All Implemented Interfaces:
  Serializable, Comparable<GMSConstants.shutdownState>

Enclosing class:
  GMSConstants

    public static enum GMSConstants.shutdownState

extends Enum<GMSConstants.shutdownState>

Enum Constant Summary
`COMPLETED`
`INITIATED`

Method Summary
`static GMSConstants.shutdownState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GMSConstants.shutdownState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIATED

    public static final GMSConstants.shutdownState INITIATED

### COMPLETED

    public static final GMSConstants.shutdownState COMPLETED

Method Detail

### values

    public static final GMSConstants.shutdownState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GMSConstants.shutdownState c : GMSConstants.shutdownState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GMSConstants.shutdownState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.